public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/stgit/
Date: Wed, 24 Nov 2021 09:50:19 +0000 (UTC)	[thread overview]
Message-ID: <1637747412.b269c53e4fc32b7dfedf6ab9a8da3684c61e4502.dlan@gentoo> (raw)

commit:     b269c53e4fc32b7dfedf6ab9a8da3684c61e4502
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 09:50:03 2021 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 09:50:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b269c53e

dev-vcs/stgit: version bump, 1.4

Closes: https://bugs.gentoo.org/820560
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-vcs/stgit/Manifest         |  1 +
 dev-vcs/stgit/stgit-1.4.ebuild | 79 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-vcs/stgit/Manifest b/dev-vcs/stgit/Manifest
index d12b8d07cc11..7b1184d022e8 100644
--- a/dev-vcs/stgit/Manifest
+++ b/dev-vcs/stgit/Manifest
@@ -1 +1,2 @@
 DIST stgit-1.1.tar.gz 313862 BLAKE2B 2d15ba7c2f55ff1211f0d9a3002878102f5023e897d0830daa688a2af8c6a386ec0cf076c728b6f45650ee3382379a32fb4efb25d0da3b28302f158dfca6ef62 SHA512 917c645f219b2725d1e88186674a6184c96f1457d5c7722b4da17931d963f0fe0c675cdaaca435ba7405ba498d6db9a01c9f554d1aa3093cc3205d224d9d9759
+DIST stgit-1.4.tar.gz 390734 BLAKE2B a2c8b6848cacd743022318ebf9a0512c6bd02a2b8c864db2270e5075c82dfd9e6037a3a79978b2061487bf040864077b0f7836c66986d82ff3eb902331589d87 SHA512 5251dc26a7c64dcc83021399f95ea911d6b65cfb2ee5c016c886447740ed48b66d3f0bd92a45b4aed40ae2e77dfe6ba62336dbba6773a1879ab749c95bb99b4b

diff --git a/dev-vcs/stgit/stgit-1.4.ebuild b/dev-vcs/stgit/stgit-1.4.ebuild
new file mode 100644
index 000000000000..06367525ebb8
--- /dev/null
+++ b/dev-vcs/stgit/stgit-1.4.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10}  )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Manage a stack of patches using GIT as a backend"
+HOMEPAGE="https://stacked-git.github.io"
+UPSTREAM_VER=
+[[ -n ${UPSTREAM_VER} ]] && \
+	UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P}-upstream-patches-${UPSTREAM_VER}.tar.xz"
+
+SRC_URI="https://github.com/ctmarinas/stgit/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	${UPSTREAM_PATCHSET_URI}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+RDEPEND=">=dev-vcs/git-1.6.3.3"
+
+# NOTE: It seems to be quite important which asciidoc version to use.
+# So keep an eye on it for the future.
+DEPEND="${RDEPEND}
+	doc? (
+		app-text/asciidoc
+		app-text/xmlto
+		dev-lang/perl
+	)"
+
+pkg_setup() {
+	if ! use doc; then
+		echo
+		ewarn "Manpages will not be built and installed."
+		ewarn "Enable the 'doc' useflag, if you want them."
+		echo
+	fi
+}
+
+python_prepare_all() {
+	# Upstream's patchset
+	[[ -n ${UPSTREAM_VER} ]] && \
+		eapply "${WORKDIR}"/patches-upstream
+
+	# this will be a noop, as we are working with a tarball,
+	# but throws git errors --> just get rid of it
+	echo "version=\"${PV}\"" > "${S}"/stgit/builtin_version.py
+
+	distutils-r1_python_prepare_all
+}
+
+src_compile() {
+	distutils-r1_src_compile
+
+	# bug 526468
+	if use doc; then
+		emake htmldir="${EPREFIX}/usr/share/doc/${PF}/html/" \
+			mandir="${EPREFIX}/usr/share/man/" \
+			doc
+	fi
+}
+
+src_install() {
+	if use doc; then
+		emake DESTDIR="${D}" \
+			htmldir="${EPREFIX}/usr/share/doc/${PF}/html/" \
+			mandir="${EPREFIX}/usr/share/man/" \
+			install-doc install-html
+	fi
+
+	distutils-r1_src_install
+
+	newbashcomp completion/stgit.bash 'stg'
+}


             reply	other threads:[~2021-11-24  9:50 UTC|newest]

Thread overview: 119+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-24  9:50 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-18  0:26 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/stgit/ Yixun Lan
2024-11-17 21:03 Michał Górny
2024-11-17 15:48 Michał Górny
2024-11-17 15:48 Michał Górny
2024-11-17 15:48 Michał Górny
2024-11-17 14:05 Sam James
2024-11-17 13:59 Sam James
2024-09-12  3:21 Yixun Lan
2024-08-29 13:36 Yixun Lan
2024-08-29 13:36 Yixun Lan
2024-08-22 10:51 Yixun Lan
2024-08-12  9:25 Yixun Lan
2024-05-09 13:54 Yixun Lan
2024-05-09 11:33 Sam James
2024-05-09 11:33 Sam James
2024-05-09 11:33 Sam James
2024-05-09 11:33 Sam James
2024-05-09  9:20 Sam James
2024-05-09  9:20 Sam James
2024-05-09  3:05 Yixun Lan
2024-04-11 23:25 Yixun Lan
2024-04-11 23:25 Yixun Lan
2024-02-19 12:32 Yixun Lan
2024-02-19 12:32 Yixun Lan
2024-02-16 11:01 Yixun Lan
2024-02-16 11:01 Yixun Lan
2024-02-10 22:36 Yixun Lan
2024-02-10 22:36 Yixun Lan
2024-01-11 11:09 Yixun Lan
2023-12-13 11:47 Yixun Lan
2023-12-13 11:47 Yixun Lan
2023-12-06  4:33 Yixun Lan
2023-12-05 15:22 Michał Górny
2023-12-05 15:22 Michał Górny
2023-12-05 15:22 Michał Górny
2023-12-05 15:22 Michał Górny
2023-12-05 15:22 Michał Górny
2023-12-05 15:22 Michał Górny
2023-10-17  0:10 Yixun Lan
2023-10-17  0:10 Yixun Lan
2023-10-08  3:53 Yixun Lan
2023-10-08  3:53 Yixun Lan
2023-08-27  7:19 Yixun Lan
2023-08-27  7:19 Yixun Lan
2023-08-09 14:10 Yixun Lan
2023-08-09 14:10 Yixun Lan
2023-06-19 14:19 Yixun Lan
2023-06-19 14:19 Yixun Lan
2023-05-17 10:42 Yixun Lan
2023-05-17 10:42 Yixun Lan
2023-03-19 23:55 Yixun Lan
2023-03-17 21:13 Yixun Lan
2023-03-17 21:13 Yixun Lan
2023-03-17 14:29 Yixun Lan
2023-03-17 14:29 Yixun Lan
2023-03-17 14:29 Yixun Lan
2022-12-31  8:33 Yixun Lan
2022-12-05 19:43 Arthur Zamarin
2022-12-05  0:24 Yixun Lan
2022-12-01  2:25 Yixun Lan
2022-11-22  5:43 Arthur Zamarin
2022-11-22  5:31 Arthur Zamarin
2022-11-22  5:31 Arthur Zamarin
2022-11-22  4:51 Yixun Lan
2022-05-06 23:46 Yixun Lan
2022-05-06 23:46 Yixun Lan
2022-05-06 14:25 Jakov Smolić
2022-01-31 14:38 Yixun Lan
2022-01-11  4:27 Yixun Lan
2022-01-10 23:00 Sam James
2021-12-23 14:26 Yixun Lan
2021-09-14 14:15 Yixun Lan
2021-07-15 13:30 Yixun Lan
2021-06-07 16:16 Sam James
2021-05-15  9:34 Yixun Lan
2021-05-15  9:03 Yixun Lan
2021-05-15  9:02 Yixun Lan
2021-04-25  5:14 Sam James
2021-04-25  5:14 Sam James
2021-04-25  5:14 Sam James
2021-04-25  5:11 Sam James
2021-04-25  2:51 Yixun Lan
2021-02-15  0:38 Sam James
2021-02-11  6:47 Yixun Lan
2021-02-11  6:47 Yixun Lan
2021-02-05 12:29 Sam James
2021-02-02 23:46 Sam James
2021-01-30 10:03 Sam James
2021-01-28 19:47 Sam James
2021-01-28 17:48 Sam James
2021-01-26  6:49 Yixun Lan
2021-01-16 14:37 Yixun Lan
2021-01-16 14:37 Yixun Lan
2021-01-16 14:37 Yixun Lan
2020-07-09 13:54 Yixun Lan
2020-06-08 10:03 Yixun Lan
2020-06-06 19:31 Mart Raudsepp
2020-06-03 18:43 Agostino Sarubbo
2020-06-03 15:12 Agostino Sarubbo
2020-06-02  6:26 Yixun Lan
2020-06-02  3:25 Yixun Lan
2020-06-01 20:51 Sergei Trofimovich
2020-05-29 14:25 Yixun Lan
2020-03-17  6:30 Yixun Lan
2020-02-11 12:16 Michał Górny
2019-11-12 18:07 Agostino Sarubbo
2019-11-12 13:36 Agostino Sarubbo
2019-11-03 14:04 Mikle Kolyada
2019-10-16  5:54 Yixun Lan
2019-10-13 16:21 Piotr Karbowski
2019-10-09  6:56 Yixun Lan
2018-11-11 13:47 Yixun Lan
2018-10-26 14:58 Yixun Lan
2017-12-05  1:29 Yixun Lan
2017-12-05  1:29 Yixun Lan
2017-10-19 21:32 Jonas Stein
2017-10-16  7:02 Yixun Lan
2015-10-29  2:04 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1637747412.b269c53e4fc32b7dfedf6ab9a8da3684c61e4502.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox